﻿using System;
using System.ComponentModel;

namespace SimpleTypeConverter
{
  public class AddressConverter : TypeConverter
  {
    public override object ConvertFrom(
        ITypeDescriptorContext context
        , System.Globalization.CultureInfo culture
        , object value)
    {
      if (value is string)
      {
        string[] array = value.ToString().Split(' ');
        if (array.Length == 4)
        {
          Address a = new Address();
          a.Street = array[0];
          a.StreetNumber = array[1];
          a.ZipCode = int.Parse(array[2]);
          a.City = array[3];
          return a;
        }
      }
      return base.ConvertFrom(context, culture, value);
    }
  }
}
